Difference between revisions of "Draft Line/fr"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
m
Line 1: Line 1:
{{GuiCommand|Name=Draft Line|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Draft → Line|Shortcut=L I|SeeAlso=[[Draft Wire|Draft Wire]]}}
+
{{GuiCommand/fr|Name=Draft Line|Name/fr=Ligne|Workbenches=[[Draft Module/fr|Draft]], [[Arch Module/fr|Arch]]|MenuLocation=Draft → Ligne|Shortcut=L I|SeeAlso=[[Draft Wire/fr|Filaire]]}}
  
 
==Description==
 
==Description==
Line 24: Line 24:
 
* La ligne nouvellement créée, adopte le [[Draft_Linestyle/fr|style de ligne]] actif.
 
* La ligne nouvellement créée, adopte le [[Draft_Linestyle/fr|style de ligne]] actif.
  
==Propriétés==
+
==Properties==
* {{PropertyData|Start}}: Le point de départ
+
* {{PropertyData|Start}}: The start point
* {{PropertyData|End}}: Le point final
+
* {{PropertyData|End}}: The end point
 +
* {{PropertyData|Subdivisions}}: Divides the line with the given number of subdivisions {{version|0.16}}
  
 
==Script==
 
==Script==

Revision as of 09:22, 11 December 2015

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Draft, Arch
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches. L'outil ligne se comporte exactement comme l'outil Filaire, à la différence qu'il s'arrête à la saisie de deux points.

Draft Line example.jpg

Utilisation

  1. Cliquez sur le bouton Draft Line.png Ligne ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D, ou entrez les coordonnées

Options

  • Appuyez sur X, Y ou Z après le premier point pour contraindre le second point le long d'un axe.
  • Pour saisir les coordonnées manuellement, entrez chaque nombre puis appuyez simplement sur ​​ENTRÉE entre chaque saisie de X, Y et Z.
  • Appuyez sur R ou cliquez sur la case Relatif pour cocher/décocher ce mode. Si le mode relatif est activé, les coordonnées du second point seront relatives à la première. Sinon, elles seront absolues, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case Continuer pour cocher/décocher ce mode. Si le mode Continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur le bouton ligne à nouveau.
  • Appuyez sur CTRL pendant que l'outil est actif pour forcer l'accroche du point sur l'emplacement d'accrochage le plus près, indépendamment de sa distance.
  • Appuyez sur MAJ pendant que l'outil est actif pourcontraindre le second point horizontalement ou verticalement en relation au point précédent.
  • Appuyez sur CTRL+Z ou sur le bouton Draft UndoLine.png Annuler pour annuler le point précédent.
  • Appuyez sur ESC pour annuler l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.

Properties

  • DataStart: The start point
  • DataEnd: The end point
  • DataSubdivisions: Divides the line with the given number of subdivisions introduced in version 0.16

Script

L'outil ligne peut être utilisé par la macros de la console Python en utilisant la fonction suivante :

makeLine (Vector, Vector)
  • Crée une ligne entre les deux vecteurs donnés. La ligne créée aura la largeur et la couleur courante.
  • Renvoie l'objet nouvellement créé.

Exemple:

import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎